
From: NeilBrown <neilb@cse.unsw.edu.au>

nfs4_preprocess_seqid_op is called by NFSv4 operations that imply an implicit
renewal of the client lease.

Signed-off-by: Andy Adamson <andros@citi.umich.edu>
Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/nfsd/nfs4state.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/nfsd/nfs4state.c~nfsd4-renew-lease-on-seqid-modifying-operations fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-renew-lease-on-seqid-modifying-operations	Wed Jul  6 13:09:16 2005
+++ 25-akpm/fs/nfsd/nfs4state.c	Wed Jul  6 13:09:16 2005
@@ -2258,7 +2258,7 @@ nfs4_preprocess_seqid_op(struct svc_fh *
 		printk("NFSD: preprocess_seqid_op: old stateid!\n");
 		goto out;
 	}
-	/* XXX renew the client lease here */
+	renew_client(sop->so_client);
 	status = nfs_ok;
 
 out:
_
